## 更新日志

### 2.9.0

*2019-08-31*

- select：添加全选功能

### 2.8.6

*2019-06-28*

- select：修改shuffix-icon功能
- dialog: 新增dialog关闭按钮的修改

### 2.8.5

*2019-05-10*

- 修复Select(remote)组件文字被遮盖
- Table的default-sort属性对象中添加immediate属性控制是否mounted触发sort-change

### 2.8.4

*2019-04-02*

- Cascader组件新增多选级联
- Select组件（多选）新增`no-wrap`属性，控制多行显示标签组
- Input组件修复文字计数器位置偏移
- Cascader组件增强el-scrollbar对自定义滚轴样式的兼容

### 2.8.3

*2019-03-28*

- Cascader组件显式声明引入scrollbar组件
- Input-number组件缺少handleInout事件回调

### 2.8.2

*2019-03-25*

- Form表单的必填星号符号位置
  - label-position="top/right"，flag at right
  - label-position="left"(default)，flag at left

### 2.8.1

*2019-03-20*

- 修复date-picker（带快捷键）的面板宽度计算错误
- 修复解构引入组件失败
- Cascader组件使用el-scrollbar


### 2.8.0

*2019-03-08*

- 合并element-ui v2.6.1
  - 不再指定 node 版本 (by @iamkun in #14546)
  - 调整 `deloy-faas.sh` 中的文档目录 (by @ziyoung in #14553)
  - 调整 2.6.0 中 changelog 日期样式 (by @island205 in #14547)
  - 修复拼写错误 (by @wack6 in #14552)

- 合并element-ui v2.6.0
- Timeline
  - 添加 Timeline 组件 (by @jikkai in #14248)
- DropdownItem
  - `el-dropdown-item` 支持添加 icon (by @gabrielboliveira in #14088)
- Input
 - 添加 `show-password` 属性，支持配置显示密码按钮 (by @phshy0607 in #13966)
 Select
  - 添加 slot `empty` (by @elfman in #13785)
- Autocomplete
  - 添加 `highlight-first-item` 属性，控制是否默认突出显示远程搜索建议中的第一项 (by @YamenSharaf in #14269)
- I18n
  - 添加亚美尼亚语支持 (by @hamletbarsamyan in #14214)
- Docs
  - 新增法语文档 (by @smalesys in #12153, #14418, #14434)

- Alert
  - 组件对通过 slot 传入的  description 也应用默认样式类 (by @iamkun in #14488)
- InputNumber
  -移除多余的 `parseFloat` (by @JuniorTour in #14172)
- Menu
  - 支持 `el-menu-item` 不添加 index (by @georgyfarniev in #13298)
- Table
  - 移除无用的 DOM 操作 (by @elfman in #13643)
- Upload
  - 代码优化 (by @elfman in #13973)
- Popup
  - 移除无用代码 (by @KAionro in #14413)
- Docs
  - 添加更多文档说明如何贡献代码 (by @island205 in #14355)
  - 添加 `el-input` 是受控组件的警示 (by @wacky6 in #14463)
  - 优化 Table 的文档 (by @luguokong in #14329)
  - 更新 Input 文档 (by @iamkun in #14437)
  - 优化自定义主题文档 (by @wangguohao in #14297)
  - 为 Icon 文档添加 hover 效果 (by @tuxinghuan in #14295)
- Build
  - 压缩 Element 文档站的 JS 和 CSS 文件 (by @iamkun in #14430)
  - 优化 Webpack 打包速度，从6分钟优化到1分多 (by @hetech in #14484)
  - 添加 CLI 工具，选择版本号 (by @hetech in #14354)
- 使用 Stale 来管理过时（暂定1年）的 Issue 和 PR (by @island205 in #14392)

- Menu
  - 修复浏览器标签切换引起的 focus 问题 (by @liupl in #13976)
- MessageBox
  - 修复 TS 定义 (by @NateScarlet in #14278)
- ScrollBar
  - 修复点击鼠标右键导致拖动的问题 (by @xifeiwu in #14196)
- Switch
  - 添加 `validate-event` 属性，设置改变 Switch 状态时是否触发表单的校验 (by @hetech in #14426)
- Table
  - 修复多 Table 实例共享 `toggleAllSelection` 方法，造成无法切换问题 (by @letanure in #14075)
- Tabs & Dropdown
  - 修复样式问题 (by @hetech in #14452)
- Tree
  - 与 Table 统一占位文样式 (by @ColinCll in #14331)
- Docs
  - 修复 DatetimePicker 文档问题 (by @iamkun in #14290)
  - 修复 DatePicker 文档拼写问题 (by @helmut in #14481)
  - 修复分页组件文档样式问题 (by @liuchuzhang in #14451)

- 合并element-ui v2.5.4
  - 构建: 修复 `.babelrc` 配置问题——导致 Tree 等组件没有动画 (by @island205 in #14282)

- 合并element-ui v2.5.3
  - 优化 Message 的代码 (by @vok123 in #14029)
  - 移除 gh-pages (by @ziyoung in #14266)
  - 添加 IssueHunt 的链接 (by @island205 in #14261)
  - 修复 UMD 包在服务器端运行出错的问题 (by @island205 in #14242)
  - 修复 Tabbar 高亮时的样式 (by @iamkun in #14240)
  - 修复 Table 示例代码的错误 (by @xunmeng in #14253)

- 合并element-ui v2.5.2
  - 删除 umd 模块 `lib/index.js` 中本没有的注释 (by @island205 in #14233)
  - 修复 nuxt.js 中关于 `export` 关键字的报错  (by @island205 in #14232)
  - 修复发布 2.5.1 过程中的错误   (by @iamkun in #14228)

- 合并element-ui v2.5.0
  - DatePicker
    - 添加 `validate-event` 属性（by @ziyoung in #13531）
  - Tag
    - 添加 `click` 事件 （by @licdream in #14106）
  - DateTimePicker
    - `pickerOptions` 支持 `selectableRange` 选项（by @eeeeeeeason）
  - I18n
    - 新增吉尔吉斯坦语（by @zzjframework in #14174）
  - 升级 Webpack 到 4.x （by @jikkai in #14173）
  - Input
    - 简化 `el-input` 的实现 （by @wacky6 in #13471）
  - 更新 Axure 文件，新增组件（by @ziyoung in #13773）
  - 还有包括 Autocomplete、Table、Cascader、Tree 等等组件的问题修复和优化，[详情](https://github.com/ElemeFE/element/releases/tag/v2.5.0)。

- 合并element-ui v2.4.11
  - 撤销 pr #13296，修复点击 Menu 外部导致 Submenu 收起的问题，#13478
  - 调整小屏幕（xs）媒体查询断点，#13468 （by @alekoshen712）

- 合并element-ui v2.4.10
  - 修复多次点击 Select 才显示下拉列表的问题，#13268
  - Form 禁用时不显示 Input 的 clear 图标，#13208
  - 调整 Select，Progress，Autocomplete，Tooltip，Collaspe，TimePicker 的样式，#13188 (by @porcelainHeart) #13210 #13266 #13257 #13290 #13347 (by @PanJiaChen)
  - Carousel 组件新增 `loop` 属性，#13217
  - Table 的 data 改变时，高亮行会继续保留，#13200
  - Table 的 header slot 可以接收参数，#13263
  - Table 的 `clearFilter` 方法支持参数，#13176
  - Table 单元格内没有内容时不再创建 Tooltip，#13152 (by @rongxingsun)
  - ColorPicker 面板的输入框内容可以正常显示了，#13278
  - 在拖拽时，ColorPicker 不再触发表单校验，#13299
  - InputNumber 新增 `select` 方法，#13286 (by @st-sloth)
  - Autocomplete 新增 `clear` 事件，#12171(by arthurdenner) #13326
  - 可以通过点击 Menu 外部来关闭 Menu，#13296
  - Form 的 `validateField` 方法可以接收参数，#13319
  - Cascader 新增 `visible-change` 事件，#13415
  - DatePicker 新增 range-seprator slot， #13272 (by @milworm)
  - Tree 新增 `iconClass` 与 `currentNodeKey` 属性，#13337 #13197 (by @isnifer)
  - Progress 的 `status` 添加了 text #13198 (by @ali-master)
  - 修复 Tree 的 `defaultCheckedKeys` 导致显示的错误，#13349 (by @dive2Pro)

- 合并element-ui v2.4.9
  - Form 组件 clearValidate 方法参数支持字符串，#12990 （by @codinglobster）
  - Badge 新增 type 属性，#12991
  - 用户可以使用 scoped-slot 来自定义表头，#13012（by @ivanseidel）
  - 修复 IE 下 Select 输入框不能输入的问题，#13034（by @GaliMU）
  - Select 多选时，选项不换行，#12329 （by @akki-jat）
  - Select 下拉列表展开后，箭头图标也可以正确显示，#12353（by @firesh） 
  - 修复 Select 的 size 属性不生效的问题，#13070
  - 多选时可以清除 Select 已选中的值，#13049（by @ZSkycat）
  - 修复最后一个 TabNav 不能删除的问题，#13039
  - 修复 TabNav 中 label 显示不正确的问题，#13178
  - Alert 新增 title slot，#13082（by @Kingwl）
  - 修复 Table 中的 tooltip 内容不正确的问题，#13159（by @elfman）
  - 优化 Upload 文件列表删除时的动画，#12987
  - 当 InputNumber 控制按钮不显示时，调整了边距，#13052

- 合并element-ui v2.4.8
  - Switch 聚焦时不显示轮廓，#12771
  - 修复 Dropdown 在 ButtonGroup 中样式问题，#12819 （by @bluejfox）
  - Dialog 新增 opened 事件，#12828
  - 修复 TabNav 显示顺序不正确的问题，#12846
  - 修复 Tabs 没有滑动到选中 tab 的问题，#12948
  - 修复 Tree 节点在拖拽时标识符不显示的问题，#12854
  - Form 的 validate 事件参数中包含了校验的信息，#12860 （by @YamenSharaf）
  - 修复 DatePicker 没有校验用户输入时间的合法性问题，#12898
  - 修复 Table 表头的 `render-header`属性不生效的问题，#12914

- 合并element-ui v2.4.7
  - 修复 DatePicker 未触发表单检验的问题，#12328，#12348
  - 修复 DatePicker 多选时报错的问题，#12347
  - 修复 DatePicker 选择时间时 spinner 位置不正确的问题，#12415 （by @rang-ali）
  - 修复 Datepicker 输入框自动填充的问题，#12521 （by @abdallanayer）
  - 修复 Cascader 中 Input 未高亮的问题，#12341
  - 修复 Tabpane 顺序不正确的问题，#12346
  - 修复 ColorPicker 取色光标位置不正确的问题，#12376 （by @cnwhy）
  - 调整 Submenu 的样式，#12457
  - 修复 Submenu 选中后没有高亮的问题，#12479
  - 修复 Cascader 选择值不正确的问题，#12508 （by @huangjinqiang）
  - 修复 Pagination 输入框值不正确的问题，#12525
  - 调整 Pagination 触发事件的顺序，#12530
  - 修复 Table 的 filter 不显示的问题，#12539
  - 修复 Tree 无法删除节点的问题，#12684
  - 修复 Select 在单选时 Input 高度变化的问题，#12719
  - 修复 Form 在嵌套时 label 显示不正确的问题，#12748
  - 新增 Input 的 autocomplete 属性，废弃 auto-complete 属性，#12514 （by @axetroy）
  - 新增 Form 的 slot-scope 展示表单校验信息，#12715 （by @YamenSharaf）

- 合并 element-ui v2.4.6
  - 修复 Table 的 filter 初始值为空数组时不显示筛选图标的问题，#12165
  - 修复 Menu 在更改 collapse 时不保存菜单激活状态的问题，#12178 (by @elfman)
  - 修复 Cascader 未转义特殊字符的问题，#12248
  - 修复禁用的 RadioButton 在点击时显示 box-shadow 的问题，#12262
  - 添加 Pagination 的 page-size 属性 sync 修饰符的支持，#12281
  - 修复 Select 多选时输入的关键字消失的问题，#12304
  - 修复 Select 多选时查询函数没有去抖的问题，#12181
  - 修复 Dialog 在全屏显示时宽度不正确的问题，#12203
  - 修复 Main 在 IE 下的显示不正确的问题，#12237
  - 修复 Input 触发两次表单校验的问题，#12260
  - 修复 Tree 在懒加载时添加节点导致节点消失的问题，#12256
  - 修复 Tree 节点在拖拽后无法删除的问题，#12279
  - 修复 Popover 在 InputNumber 聚焦时不显示的问题，#12284
  - 添加 Autocomplete 的 popper-append-to-body 属性，#12241

- 合并element-ui v2.4.5
  - 修复 Select 初始值为 undefined 时方向键失效的问题，#12322
  - 修复 Table 设置 class-name 对 expand 列不生效的问题，#12006
  - 新增 Table 的 toggleAllSelection 方法，#12047
  - 修复 Input 包含 Select 时，suffix 插槽位置显示不正确的问题，#12108
  - 修复 Option 的 line-height 无法设置的问题，#12120
  - 修复初始值为 null 的 TimeSelect 在执行 resetField 后无法再赋值的问题，#12010
  - 修复 Tree 组件中不响应方向键以外 keydown 事件的问题，#12008
  - 修复 Tree 在懒加载情况下选中父节点的问题，#12106
  - Tree 的 getCheckedNodes 方法新增 includeHalfChecked 参数，#12014

### 2.7.3
- Revert "[feature] 兼容input.number的表单验证"

### 2.7.0/2.7.1

*2019-03-05*
- 添加通过css覆盖修改switch样式例子
- 新增disabled-select-on-hover属性替换allow-select-parent
- 针对time-picker的时间校验添加两属性
  - disabled-async-date | 禁用实时同步面板选中时间到input
  - is-date-adjust | 自动校正起始时间和结束时间(minDate <= maxDate)
- 兼容input.number的表单验证

### 2.2.0

*2018-09-29*

- 新增TreeSelect树形联级选择器组件；
- 拓展了Dialog 对话框组件：
  - 新增了`type`属性，默认为'pop'弹出模式，可配置为'slide'实现之前需要的侧滑形式的对话框；
  - 新增了`durection`属性，默认为'right'即从右到左位置在右的侧滑对话框，可选'top'、'left'、'bottom'三种形式
- 统一了全局变量中的border-redis为2px，与zhuiyiui设计标准一致
- 拓展Input组件：
  - 新增`width`，`height`和`fontSize`属性，方便修改Input的样式
- 拓展Notification组件样式使与标准一致；
- 拓展Alert组件样式使与标准一致；
- 拓展Select组件：
  - 新增length属性，方便修改Select的样式
- 修复Checkbox 多选框的位置bug
- 修复Datepick中范围选择的bug，选择到今日样式覆盖问题

### 2.1.2

*2018-09-25*

- 修复翻页按钮的最大宽度问题；
- 修复jumper输入框的padding问题；


### 2.0.0

*2018-09-12*

- 拓展pagination组件
  - 修改pagination文档；
  - pagination新增$--pagination-number-fill-color变量用来控制数字按钮的颜色；
  - 增加pagination font-weight控制；
- 扩展input组件，新增字数计算器
- 修改form组件，增加变量$--form-is-success-border-color，控制表单验证通过时的边框颜色；
- 拓展textarea组件，添加计数器；
- 修复make extra-new命令存在的问题，现在可以自动挂载新组件的js文件；
- 新增input-editable组件
- 修改input-number组件
  - 增加变量$--input-number-width控制宽度
  - $--input-number-inner-padding-left控制左边距
  - $--input-number-inner-padding-right控制右边距
  - $--input-number-crease-width控制按钮宽度；
- 新增scrollbar组件；
- 扩展radio，统一样式；
- 扩展switch，统一样式；


### 1.1.8

*2018-09-7*

- 扩展datepicker，添加suffix-icon；
- table增加both-space来从表格两端批量插入空白（效果类似yiui的table-frame）

### 1.1.7

*2018-09-5*

- 修复新增的导航组件（elx-navigator）的图表传参问题


### 1.1.6

*2018-09-4*

- 修复pagination的not-show-unit属性问题


### 1.1.5

*2018-09-3*

- 优化datepicker的无关闭按钮模式的样式


### 1.1.4

*2018-09-2*

- 修复tab的active-bar丢失问题

### 1.1.2

*2018-09-1*

- 提升datepicker-input样式的优先级

### 1.1.1

*2018-08-30*

- 提高date-panel：btn的样式优先级，避免不必要的覆盖

### 1.1.0

*2018-08-28*

- 扩展datepicker组件
  - 修改选中的样式；
  - 修改当天的日期样式；
  - 修改时间段样式的`in-range`样式;
  - 修改日期选择框的width控制方式；
  - 新增`input-width`属性自定义input的宽度；
  - 新增`is-native`开关；
  - 添加样式变量定制选中和`in-range`的圆角；
- 扩展pagination组件
  - 修改页码按钮样式
- 扩展checkbox组件
  - 修改选中样式；

### 1.0.2

*2018-08-\**

- 新增导航组件

### 1.0.*

*2018-08-\**

- 扩展开发环境

