module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 118);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = require("zhuiyi-ui/lib/locale");

/***/ }),

/***/ 118:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/tree-select/src/main.vue?vue&type=template&id=5febe2cc&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    _vm._b(
      {
        ref: "elxTreeSelect",
        staticClass: "elx-tree-select",
        class: {
          "elx-tree-select": true,
          "elx-tree-select--single": _vm.type === "single",
          "elx-tree-select--only-select-button": !_vm.isShowInput,
          "is-focus": _vm.isFocus || _vm.isShowPanel
        },
        style: {
          width:
            !_vm.isShowInput && _vm.selectButtonWidth
              ? _vm.selectButtonWidth
              : _vm.width
        }
      },
      "div",
      _vm.attrs.default,
      false
    ),
    [
      _c(
        "div",
        { staticClass: "elx-tree-select__body" },
        [
          _c(
            "a",
            {
              staticClass: "elx-tree-select__button",
              style: {
                width: _vm.selectButtonWidth
              },
              attrs: { href: "javascript:;", title: _vm.selectButtonText },
              on: {
                click: function($event) {
                  _vm.isShowPanel = !_vm.isShowPanel
                }
              }
            },
            [
              _c(
                "div",
                {
                  staticClass: "elx-tree-select__button-body",
                  style: {
                    maxWidth: _vm.selectButtonWidth
                      ? "calc(" + _vm.selectButtonWidth + " - 20px)"
                      : undefined
                  }
                },
                [
                  _c("span", { staticClass: "button-text" }, [
                    _vm._v(_vm._s(_vm.selectButtonText))
                  ]),
                  _c("span", {
                    staticClass: "button-icon y-iconfont y-icon-xiangxia",
                    class: { "is-reverse": _vm.isShowPanel }
                  })
                ]
              )
            ]
          ),
          _vm.isShowInput
            ? _c(
                _vm.isAutocomplete ? "el-autocomplete" : "el-input",
                _vm._g(
                  _vm._b(
                    {
                      ref: "treeSelectInput",
                      tag: "component",
                      staticClass: "elx-tree-select__input",
                      attrs: {
                        "popper-class":
                          "elx-tree-select__autocomplete " +
                          _vm.propInputPopperClass,
                        value: _vm.value
                      },
                      scopedSlots: _vm._u([
                        {
                          key: "default",
                          fn: function(ref) {
                            var item = ref.item
                            return _vm.isAutocomplete
                              ? [_vm._t("default", null, { item: item })]
                              : undefined
                          }
                        }
                      ])
                    },
                    "component",
                    _vm.attrs.input,
                    false
                  ),
                  _vm.listeners.input
                )
              )
            : _vm._e()
        ],
        1
      ),
      _c(
        "transition",
        {
          attrs: { name: "el-zoom-in-top" },
          on: { "after-leave": _vm.doDestory }
        },
        [
          _c(
            "div",
            {
              directives: [
                {
                  name: "show",
                  rawName: "v-show",
                  value: _vm.isShowPanel,
                  expression: "isShowPanel"
                }
              ],
              staticClass: "elx-tree-select__tree-panel",
              class: {
                "elx-tree-select__tree-panel--auto": true
              },
              style: {
                width: _vm.$attrs["tree-panel-width"],
                minWidth: _vm.$attrs["tree-panel-width"] ? "auto" : undefined
              }
            },
            [
              _c(
                "el-scrollbar",
                {
                  ref: "scrollbar",
                  attrs: {
                    "wrap-style": [
                      {
                        maxHeight: _vm.$attrs["tree-panel-max-height"]
                      }
                    ],
                    "view-style": [
                      {
                        paddingBottom: "17px"
                      }
                    ]
                  }
                },
                [
                  _c(
                    "el-tree",
                    _vm._g(
                      _vm._b(
                        {
                          ref: "tree",
                          staticClass: "elx-tree-select__filter-tree",
                          attrs: { "disable-itemclick-toggle": true }
                        },
                        "el-tree",
                        _vm.attrs.tree,
                        false
                      ),
                      _vm.listeners.tree
                    )
                  )
                ],
                1
              )
            ],
            1
          )
        ]
      )
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/tree-select/src/main.vue?vue&type=template&id=5febe2cc&

// EXTERNAL MODULE: external "zhuiyi-ui/lib/locale"
var locale_ = __webpack_require__(10);

// EXTERNAL MODULE: external "zhuiyi-ui/lib/tree"
var tree_ = __webpack_require__(51);
var tree_default = /*#__PURE__*/__webpack_require__.n(tree_);

// EXTERNAL MODULE: external "zhuiyi-ui/lib/scrollbar"
var scrollbar_ = __webpack_require__(14);
var scrollbar_default = /*#__PURE__*/__webpack_require__.n(scrollbar_);

// EXTERNAL MODULE: external "zhuiyi-ui/lib/input"
var input_ = __webpack_require__(8);
var input_default = /*#__PURE__*/__webpack_require__.n(input_);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/tree-select/src/main.vue?vue&type=script&lang=js&
var _methods;

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//






var EXTEND_NAMESPACE = 'extend';
var TREE_NAMESPACE = 'tree';
var TREE_DEFAULT_OVERWRITE = {
  'default-expand-all': true
};
var TREE_RESERVED = {
  attrs: ['panel-width', 'panel-max-height'],
  events: ['node-click']
};

var INPUT_NAMESPACE = 'input';
var INPUT_DEFAULT_OVERWRITE = {
  'clearable': true,
  'placeholder': Object(locale_["t"])('el.treeSelect.defaultPlaceholder')
};
var INPUT_RESERVED = {
  attrs: [],
  events: ['input', 'blur', 'focus']
};

/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'ElxTreeSelect',
  components: {
    ElTree: tree_default.a,
    ElInput: input_default.a,
    ElScrollbar: scrollbar_default.a
  },

  props: {
    width: {
      type: String,
      default: undefined
    },

    isShowInput: {
      type: Boolean,
      default: true
    },

    isAutocomplete: {
      type: Boolean,
      default: false
    },

    value: [String, Number, Object, Array],

    // select名
    selectButtonText: {
      type: String,
      default: Object(locale_["t"])('el.treeSelect.defaultSelectButtonText')
    },

    selectButtonWidth: {
      type: String,
      default: undefined
    },

    // 选择器类型
    type: {
      type: String,
      default: 'multiple'
    },

    // 配置是否点击非组件区域收起面板
    hideTreePanelNoncontent: {
      type: Boolean,
      default: true
    }
  },

  data: function data() {
    return {
      isFocus: false,
      isInitedScrollViewWidth: false,
      isShowPanel: false // 显示树
    };
  },


  computed: {
    attrs: function attrs() {
      var defaultAttrs = {};
      var tree = Object.assign({}, TREE_DEFAULT_OVERWRITE);
      var input = Object.assign({}, INPUT_DEFAULT_OVERWRITE);
      for (var key in this.$attrs) {
        // 分配 el-tree组件 有效属性
        if (key.startsWith(TREE_NAMESPACE + '-')) {
          var realAttrName = key.replace(TREE_NAMESPACE + '-', '');
          if (!TREE_RESERVED.attrs.includes(realAttrName)) {
            tree[realAttrName] = this.$attrs[key];
          }
          continue;
        }

        // 分配 el-input组件 有效属性
        if (key.startsWith(INPUT_NAMESPACE + '-')) {
          var _realAttrName = key.replace(INPUT_NAMESPACE + '-', '');
          if (!INPUT_RESERVED.attrs.includes(_realAttrName)) {
            input[_realAttrName] = this.$attrs[key];
          }
          continue;
        }

        if (this.$attrs[key]) {
          defaultAttrs[key] = this.$attrs[key];
        }
      }

      return { tree: tree, input: input, default: defaultAttrs };
    },
    listeners: function listeners() {
      var tree = {};
      var input = {};
      for (var key in this.$listeners) {
        // 分配 el-tree组件 有效事件
        if (key.startsWith(TREE_NAMESPACE + '-')) {
          var realEventName = key.replace(TREE_NAMESPACE + '-', '');
          tree[realEventName] = this.$listeners[key];
        }

        // 分配 el-input 有效事件
        if (key.startsWith(INPUT_NAMESPACE + '-')) {
          var _realEventName = key.replace(INPUT_NAMESPACE + '-', '');
          input[_realEventName] = this.$listeners[key];
        }
      }

      this.extendEvent(tree, TREE_RESERVED.events, TREE_NAMESPACE);
      this.extendEvent(input, INPUT_RESERVED.events, INPUT_NAMESPACE);

      return { tree: tree, input: input };
    },
    propInputPopperClass: function propInputPopperClass() {
      var inputPopperClass = this.attrs.input['popper-class'];
      return inputPopperClass ? inputPopperClass : '';
    }
  },

  watch: {
    isShowPanel: function isShowPanel() {
      var isNeedToResetScrollBarView = this.$attrs['tree-panel-width'];
      if (isNeedToResetScrollBarView) {
        this.resetScrollbarView();
      }
    }
  },

  methods: (_methods = {
    extendEvent: function extendEvent(sourceEvent, reservedEventNames, namespace) {
      var _this = this;

      reservedEventNames.forEach(function (reservedEventName) {
        var extendEventName = _this.toHumpStype(EXTEND_NAMESPACE + '-' + namespace + '-' + reservedEventName);
        var extendEvent = _this[extendEventName];
        var propEvent = sourceEvent[reservedEventName];
        sourceEvent[reservedEventName] = function () {
          extendEvent && extendEvent.apply(undefined, arguments);
          propEvent && propEvent.apply(undefined, arguments);
        };
      });
    },
    toHumpStype: function toHumpStype(str) {
      var _this2 = this;

      var strs = str.split('-');
      var temp = strs.shift();
      strs = strs.map(function (itemStr) {
        return _this2.toUpperCaseFirstChar(itemStr);
      });
      strs.unshift(temp);
      return strs.join('');
    },
    toUpperCaseFirstChar: function toUpperCaseFirstChar(str) {
      return str.charAt(0).toUpperCase() + str.slice(1);
    }
  }, _methods[EXTEND_NAMESPACE + 'TreeNodeClick'] = function undefined() {
    var _this3 = this;

    this.isShowPanel = false;
    this.isAutocomplete && setTimeout(function () {
      return _this3.$refs.treeSelectInput.focus();
    }, 0);
  }, _methods[EXTEND_NAMESPACE + 'InputFocus'] = function undefined() {
    this.isFocus = true;
    this.isShowPanel = false;
  }, _methods[EXTEND_NAMESPACE + 'InputBlur'] = function undefined() {
    this.isFocus = false;
  }, _methods[EXTEND_NAMESPACE + 'InputInput'] = function undefined() {
    for (var _len = arguments.length, rest = Array(_len), _key = 0; _key < _len; _key++) {
      rest[_key] = arguments[_key];
    }

    this.$emit.apply(this, ['input'].concat(rest));
  }, _methods.resetScrollbarView = function resetScrollbarView() {
    var _this4 = this;

    var scrollbarWrapEle = this.$refs.scrollbar.wrap;
    if (this.isShowPanel) {
      setTimeout(function () {
        scrollbarWrapEle.scrollLeft = 0;
      }, 0);
    }
    if (!this.isInitedScrollViewWidth && this.isShowPanel) {
      setTimeout(function () {
        var scrollbarViewEle = scrollbarWrapEle.children[0];
        scrollbarViewEle.style.width = scrollbarWrapEle.scrollWidth + 'px';
        _this4.isInitedScrollViewWidth = true;
      }, 0);
    }
  }, _methods.initHideTreePanelByClickWindow = function initHideTreePanelByClickWindow() {
    var _this5 = this;

    document.body.addEventListener('click', function () {
      _this5.isShowPanel = false;
    });
    this.$refs.elxTreeSelect.addEventListener('click', function (e) {
      e.stopPropagation();
    });
  }, _methods),

  created: function created() {
    var _this6 = this;

    this.$nextTick(function () {
      _this6.hideTreePanelNoncontent && _this6.initHideTreePanelByClickWindow();
    });
  },
  beforeDestroy: function beforeDestroy() {
    this.$refs.elxTreeSelect.$destroy();
  }
});
// CONCATENATED MODULE: ./packages/tree-select/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/tree-select/src/main.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/tree-select/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./packages/tree-select/index.js


/* istanbul ignore next */
main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var tree_select = __webpack_exports__["default"] = (main);

/***/ }),

/***/ 14:
/***/ (function(module, exports) {

module.exports = require("zhuiyi-ui/lib/scrollbar");

/***/ }),

/***/ 51:
/***/ (function(module, exports) {

module.exports = require("zhuiyi-ui/lib/tree");

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = require("zhuiyi-ui/lib/input");

/***/ })

/******/ });