module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 53);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = require("zhuiyi-ui/lib/utils/resize-event");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("zhuiyi-ui/lib/utils/dom");

/***/ }),

/***/ 29:
/***/ (function(module, exports) {

module.exports = require("zhuiyi-ui/lib/utils/scrollbar-width");

/***/ }),

/***/ 33:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "zhuiyi-ui/lib/utils/resize-event"
var resize_event_ = __webpack_require__(13);

// EXTERNAL MODULE: external "zhuiyi-ui/lib/utils/scrollbar-width"
var scrollbar_width_ = __webpack_require__(29);
var scrollbar_width_default = /*#__PURE__*/__webpack_require__.n(scrollbar_width_);

// EXTERNAL MODULE: external "zhuiyi-ui/lib/utils/util"
var util_ = __webpack_require__(4);

// EXTERNAL MODULE: external "zhuiyi-ui/lib/utils/dom"
var dom_ = __webpack_require__(2);

// CONCATENATED MODULE: ./packages/scrollbar/src/util.js
var BAR_MAP = {
  vertical: {
    offset: 'offsetHeight',
    scroll: 'scrollTop',
    scrollSize: 'scrollHeight',
    size: 'height',
    key: 'vertical',
    axis: 'Y',
    client: 'clientY',
    direction: 'top'
  },
  horizontal: {
    offset: 'offsetWidth',
    scroll: 'scrollLeft',
    scrollSize: 'scrollWidth',
    size: 'width',
    key: 'horizontal',
    axis: 'X',
    client: 'clientX',
    direction: 'left'
  }
};

function renderThumbStyle(_ref) {
  var move = _ref.move,
      size = _ref.size,
      bar = _ref.bar;

  var style = {};
  var translate = 'translate' + bar.axis + '(' + move + '%)';

  style[bar.size] = size;
  style.transform = translate;
  style.msTransform = translate;
  style.webkitTransform = translate;

  return style;
};
// CONCATENATED MODULE: ./packages/scrollbar/src/bar.js



/* istanbul ignore next */
/* harmony default export */ var src_bar = ({
  name: 'Bar',

  props: {
    vertical: Boolean,
    size: String,
    move: Number
  },

  computed: {
    bar: function bar() {
      return BAR_MAP[this.vertical ? 'vertical' : 'horizontal'];
    },
    wrap: function wrap() {
      return this.$parent.wrap;
    }
  },

  render: function render(h) {
    var size = this.size,
        move = this.move,
        bar = this.bar;


    return h(
      'div',
      {
        'class': ['el-scrollbar__bar', 'is-' + bar.key],
        on: {
          'mousedown': this.clickTrackHandler
        }
      },
      [h('div', {
        ref: 'thumb',
        'class': 'el-scrollbar__thumb',
        on: {
          'mousedown': this.clickThumbHandler
        },

        style: renderThumbStyle({ size: size, move: move, bar: bar }) })]
    );
  },


  methods: {
    clickThumbHandler: function clickThumbHandler(e) {
      // prevent click event of right button
      if (e.ctrlKey || e.button === 2) {
        return;
      }
      this.startDrag(e);
      this[this.bar.axis] = e.currentTarget[this.bar.offset] - (e[this.bar.client] - e.currentTarget.getBoundingClientRect()[this.bar.direction]);
    },
    clickTrackHandler: function clickTrackHandler(e) {
      var offset = Math.abs(e.target.getBoundingClientRect()[this.bar.direction] - e[this.bar.client]);
      var thumbHalf = this.$refs.thumb[this.bar.offset] / 2;
      var thumbPositionPercentage = (offset - thumbHalf) * 100 / this.$el[this.bar.offset];

      this.wrap[this.bar.scroll] = thumbPositionPercentage * this.wrap[this.bar.scrollSize] / 100;
    },
    startDrag: function startDrag(e) {
      e.stopImmediatePropagation();
      this.cursorDown = true;

      Object(dom_["on"])(document, 'mousemove', this.mouseMoveDocumentHandler);
      Object(dom_["on"])(document, 'mouseup', this.mouseUpDocumentHandler);
      document.onselectstart = function () {
        return false;
      };
    },
    mouseMoveDocumentHandler: function mouseMoveDocumentHandler(e) {
      if (this.cursorDown === false) return;
      var prevPage = this[this.bar.axis];

      if (!prevPage) return;

      var offset = (this.$el.getBoundingClientRect()[this.bar.direction] - e[this.bar.client]) * -1;
      var thumbClickPosition = this.$refs.thumb[this.bar.offset] - prevPage;
      var thumbPositionPercentage = (offset - thumbClickPosition) * 100 / this.$el[this.bar.offset];

      this.wrap[this.bar.scroll] = thumbPositionPercentage * this.wrap[this.bar.scrollSize] / 100;
    },
    mouseUpDocumentHandler: function mouseUpDocumentHandler(e) {
      this.cursorDown = false;
      this[this.bar.axis] = 0;
      Object(dom_["off"])(document, 'mousemove', this.mouseMoveDocumentHandler);
      document.onselectstart = null;
    }
  },

  destroyed: function destroyed() {
    Object(dom_["off"])(document, 'mouseup', this.mouseUpDocumentHandler);
  }
});
// CONCATENATED MODULE: ./packages/scrollbar/src/main.js
// reference https://github.com/noeldelgado/gemini-scrollbar/blob/master/index.js






/* istanbul ignore next */
/* harmony default export */ var main = ({
  name: 'ElScrollbar',

  components: { Bar: src_bar },

  props: {
    native: Boolean,
    wrapStyle: {},
    wrapClass: {},
    viewClass: {},
    viewStyle: {},
    noresize: Boolean, // 如果 container 尺寸不会发生变化，最好设置它可以优化性能
    tag: {
      type: String,
      default: 'div'
    }
  },

  data: function data() {
    return {
      sizeWidth: '0',
      sizeHeight: '0',
      moveX: 0,
      moveY: 0
    };
  },


  computed: {
    wrap: function wrap() {
      return this.$refs.wrap;
    }
  },

  render: function render(h) {
    var gutter = scrollbar_width_default()();
    var style = this.wrapStyle;

    if (gutter) {
      var gutterWith = '-' + gutter + 'px';
      var gutterStyle = 'margin-bottom: ' + gutterWith + '; margin-right: ' + gutterWith + ';';

      if (Array.isArray(this.wrapStyle)) {
        style = Object(util_["toObject"])(this.wrapStyle);
        style.marginRight = style.marginBottom = gutterWith;
      } else if (typeof this.wrapStyle === 'string') {
        style += gutterStyle;
      } else {
        style = gutterStyle;
      }
    }
    var view = h(this.tag, {
      class: ['el-scrollbar__view', this.viewClass],
      style: this.viewStyle,
      ref: 'resize'
    }, this.$slots.default);
    var wrap = h(
      'div',
      {
        ref: 'wrap',
        style: style,
        on: {
          'scroll': this.handleScroll
        },

        'class': [this.wrapClass, 'el-scrollbar__wrap', gutter ? '' : 'el-scrollbar__wrap--hidden-default'] },
      [[view]]
    );
    var nodes = void 0;

    if (!this.native) {
      nodes = [wrap, h(src_bar, {
        attrs: {
          move: this.moveX,
          size: this.sizeWidth }
      }), h(src_bar, {
        attrs: {
          vertical: true,
          move: this.moveY,
          size: this.sizeHeight }
      })];
    } else {
      nodes = [h(
        'div',
        {
          ref: 'wrap',
          'class': [this.wrapClass, 'el-scrollbar__wrap'],
          style: style },
        [[view]]
      )];
    }
    return h('div', { class: 'el-scrollbar' }, nodes);
  },


  methods: {
    handleScroll: function handleScroll() {
      var wrap = this.wrap;

      this.moveY = wrap.scrollTop * 100 / wrap.clientHeight;
      this.moveX = wrap.scrollLeft * 100 / wrap.clientWidth;
    },
    update: function update() {
      var heightPercentage = void 0,
          widthPercentage = void 0;
      var wrap = this.wrap;
      if (!wrap) return;

      heightPercentage = wrap.clientHeight * 100 / wrap.scrollHeight;
      widthPercentage = wrap.clientWidth * 100 / wrap.scrollWidth;

      this.sizeHeight = heightPercentage < 100 ? heightPercentage + '%' : '';
      this.sizeWidth = widthPercentage < 100 ? widthPercentage + '%' : '';
    }
  },

  mounted: function mounted() {
    if (this.native) return;
    this.$nextTick(this.update);
    !this.noresize && Object(resize_event_["addResizeListener"])(this.$refs.resize, this.update);
  },
  beforeDestroy: function beforeDestroy() {
    if (this.native) return;
    !this.noresize && Object(resize_event_["removeResizeListener"])(this.$refs.resize, this.update);
  }
});
// CONCATENATED MODULE: ./packages/scrollbar/index.js


/* istanbul ignore next */
main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var scrollbar = __webpack_exports__["default"] = (main);

/***/ }),

/***/ 4:
/***/ (function(module, exports) {

module.exports = require("zhuiyi-ui/lib/utils/util");

/***/ }),

/***/ 53:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/navigator/src/navigator.vue?vue&type=template&id=b5c534c0&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      staticClass: "elx-nav",
      class: {
        "elx-nav-spreaded": !_vm.collapsedConfig,
        "elx-nav-effected-open-state": _vm.effectedOpenState
      }
    },
    [
      _c("elx-nav-main-zone", {
        attrs: {
          routes: _vm.routes,
          selectedIndex: _vm.selectedFirstLevelIndex,
          activeName: _vm.activeName,
          activeIndex: _vm.activeFirstLevelIndex,
          collapsedConfig: _vm.collapsedConfig,
          collapseBtnText: _vm.collapseBtnText
        }
      }),
      _c("elx-nav-second-level-zone", {
        attrs: {
          routeItem: _vm._activeBranch,
          activeName: _vm.activeName,
          selectedIndex: _vm.selectedFirstLevelIndex,
          collapsedConfig: _vm.collapsedConfig
        }
      })
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./packages/navigator/src/navigator.vue?vue&type=template&id=b5c534c0&

// CONCATENATED MODULE: ./packages/navigator/src/constants.js
var ELX_NAVIGATOR = 'elxNavigator';
var MAIN_ZONE = 'elxNavMainZone';
var FIRST_LEVEL_BRANCH = 'elxNavFirstLevelBranch';
var SECOND_LEVEL_ZONE = 'elxNavSecondLevelZone';
var SECOND_LEVEL_BRANCH = 'elxNavSecondLevelBranch';
var LEAF_ITEM = 'elxNavLeafItem';

var DELAYED_TIME = 3e2;
var ITEM_HEIGHT = 44;

/* harmony default export */ var constants = ({
  ELX_NAVIGATOR: ELX_NAVIGATOR,
  MAIN_ZONE: MAIN_ZONE,
  FIRST_LEVEL_BRANCH: FIRST_LEVEL_BRANCH,
  SECOND_LEVEL_ZONE: SECOND_LEVEL_ZONE,
  SECOND_LEVEL_BRANCH: SECOND_LEVEL_BRANCH,
  LEAF_ITEM: LEAF_ITEM,
  DELAYED_TIME: DELAYED_TIME,
  ITEM_HEIGHT: ITEM_HEIGHT
});
// EXTERNAL MODULE: external "vue"
var external_vue_ = __webpack_require__(6);
var external_vue_default = /*#__PURE__*/__webpack_require__.n(external_vue_);

// CONCATENATED MODULE: ./packages/navigator/src/bus.js


/* harmony default export */ var bus = (new external_vue_default.a());
// CONCATENATED MODULE: ./packages/navigator/src/utils.js
var deepTravesalSearch = function deepTravesalSearch(node, targetName, callback) {
  if (node.name === targetName) {
    return callback.call(null, node);
  }
  if (node.children && Array.isArray(node.children)) {
    for (var _iterator = node.children, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
      var _ref;

      if (_isArray) {
        if (_i >= _iterator.length) break;
        _ref = _iterator[_i++];
      } else {
        _i = _iterator.next();
        if (_i.done) break;
        _ref = _i.value;
      }

      var child = _ref;

      var ret = deepTravesalSearch(child, targetName, callback);
      if (ret) {
        return ret;
      }
    }
  }
};

var hasNode = function hasNode(tree, targetName) {
  return !!deepTravesalSearch(tree, targetName, function (_) {
    return _;
  });
};

var findFirstLevelIndex = function findFirstLevelIndex(forest, targetName) {
  if (!Array.isArray(forest)) {
    throw new TypeError('the first parameter need to be an array');
  }
  if (typeof targetName !== 'string') {
    throw new TypeError('the second parameter need to be a string');
  }
  for (var _iterator2 = forest.entries(), _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : _iterator2[Symbol.iterator]();;) {
    var _ref3;

    if (_isArray2) {
      if (_i2 >= _iterator2.length) break;
      _ref3 = _iterator2[_i2++];
    } else {
      _i2 = _iterator2.next();
      if (_i2.done) break;
      _ref3 = _i2.value;
    }

    var _ref2 = _ref3;
    var idx = _ref2[0];
    var tree = _ref2[1];

    if (hasNode(tree, targetName)) {
      return idx;
    }
  }
  return -1;
};

/* harmony default export */ var utils = ({
  findFirstLevelIndex: findFirstLevelIndex
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/navigator/src/components/mainZone.vue?vue&type=template&id=74ab3332&
var mainZonevue_type_template_id_74ab3332_render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      ref: "mainZone",
      staticClass: "elx-nav-main-zone",
      class: {
        "elx-nav-spreaded": !_vm.collapsedConfig,
        "elx-nav-collapsed": _vm.collapsedConfig
      }
    },
    [
      _vm.collapsedConfig && _vm.delayedCollapsedConfig
        ? _c(
            "ul",
            { ref: "iconBar" },
            _vm._l(_vm.visibleRoutes, function(route, index) {
              return _c(
                "li",
                {
                  key: route.name,
                  staticClass: "elx-nav-root-item",
                  class: {
                    active: index === _vm.activeIndex,
                    selected: index === _vm.selectedIndex && !_vm.collapsedState
                  },
                  attrs: { "data-title": route.title },
                  on: {
                    click: function($event) {
                      _vm.select(index)
                    }
                  }
                },
                [
                  _c("div", { staticClass: "elx-nav-icon-wrapper" }, [
                    _c("i", {
                      staticClass: "elx-icon",
                      class: [
                        route.icons.normal,
                        { "elx-nav-show": _vm.shouldShowNormal(index) }
                      ]
                    }),
                    _c("i", {
                      staticClass: "elx-icon",
                      class: [
                        route.icons.active,
                        { "elx-nav-show": !_vm.shouldShowNormal(index) }
                      ]
                    })
                  ])
                ]
              )
            }),
            0
          )
        : _c(
            "el-scrollbar",
            {
              staticClass: "elx-nav-scrollbar",
              attrs: {
                wrapStyle: [
                  { height: "100%", overflowY: "auto", overflowX: "hidden" }
                ]
              }
            },
            [
              _c(
                "ul",
                _vm._l(_vm.visibleRoutes, function(route) {
                  return _c("elx-nav-first-level-branch", {
                    key: route.name,
                    attrs: {
                      activeName: _vm.activeName,
                      routeItem: route,
                      collapsedConfig: _vm.collapsedConfig
                    }
                  })
                }),
                1
              )
            ]
          ),
      _c(
        "div",
        {
          staticClass: "spread-collapse-button",
          class: {
            "elx-nav-spreaded": !_vm.collapsedConfig,
            "elx-nav-collapsed": _vm.collapsedConfig
          },
          attrs: { "data-title": _vm.collapseBtnText },
          on: { click: _vm.toggleCollapsedConfig }
        },
        [
          _c("i", { class: "elx-icon " + _vm.collapseIcon }),
          _c("span", [_vm._v(_vm._s(_vm.collapseBtnText))])
        ]
      )
    ],
    1
  )
}
var mainZonevue_type_template_id_74ab3332_staticRenderFns = []
mainZonevue_type_template_id_74ab3332_render._withStripped = true


// CONCATENATED MODULE: ./packages/navigator/src/components/mainZone.vue?vue&type=template&id=74ab3332&

// CONCATENATED MODULE: ./packages/navigator/src/mixins/basicConfgiMixin.js
/* harmony default export */ var basicConfgiMixin = ({
  props: {
    activeName: {
      type: String,
      default: null
    },
    collapsedConfig: {
      type: Boolean,
      value: true
    }
  }
});
// EXTERNAL MODULE: ./packages/scrollbar/index.js + 3 modules
var scrollbar = __webpack_require__(33);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/navigator/src/components/firstLevelBranch.vue?vue&type=template&id=0addf750&
var firstLevelBranchvue_type_template_id_0addf750_render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "li",
    {
      staticClass: "elx-nav-first-level-branch",
      class: {
        "elx-nav-spreaded": !_vm.collapsedConfig,
        "elx-nav-collapsed": _vm.collapsedConfig,
        "has-active-child": _vm.hasActiveChild,
        "branch-collapsed": _vm.branchCollapsed
      },
      style: { height: _vm._height + "px" }
    },
    [
      _c(
        "div",
        {
          staticClass: "elx-nav-first-level-title",
          class: { "active-item": _vm._active },
          on: { click: _vm.handleItemClick }
        },
        [
          _c("div", { staticClass: "elx-nav-icon-wrapper" }, [
            _c("i", {
              staticClass: "elx-icon",
              class: [
                this.routeItem.icons.normal,
                { "elx-nav-show": !_vm._shouldShowActiveIcon }
              ]
            }),
            _c("i", {
              staticClass: "elx-icon",
              class: [
                this.routeItem.icons.active,
                { "elx-nav-show": _vm._shouldShowActiveIcon }
              ]
            })
          ]),
          _c("div", { staticClass: "elx-nav-title-wrapper" }, [
            _c("span", [_vm._v(_vm._s(_vm.routeItem.title))]),
            !_vm._isLeafItem
              ? _c("i", {
                  staticClass:
                    "elx-icon elx-nav-title-wrapper__icon y-iconfont y-icon-xiangxia",
                  class: { "branch-collapsed": _vm.branchCollapsed }
                })
              : _vm._e()
          ])
        ]
      ),
      !!_vm.routeItem.children
        ? _c("div", { staticClass: "elx-nav-second-level-wrapper" }, [
            _c(
              "ul",
              _vm._l(_vm.routeItem.children, function(subRouteItem) {
                return _c(
                  "li",
                  { key: subRouteItem.name },
                  [
                    !!subRouteItem.children
                      ? _c("elx-nav-second-level-branch", {
                          attrs: {
                            routeItem: subRouteItem,
                            activeName: _vm.activeName,
                            isCollapsedType: false
                          }
                        })
                      : _c("elx-nav-leaf-item", {
                          attrs: {
                            routeItem: subRouteItem,
                            activeName: _vm.activeName,
                            isCollapsedType: false
                          }
                        })
                  ],
                  1
                )
              }),
              0
            )
          ])
        : _vm._e()
    ]
  )
}
var firstLevelBranchvue_type_template_id_0addf750_staticRenderFns = []
firstLevelBranchvue_type_template_id_0addf750_render._withStripped = true


// CONCATENATED MODULE: ./packages/navigator/src/components/firstLevelBranch.vue?vue&type=template&id=0addf750&

// CONCATENATED MODULE: ./packages/navigator/src/mixins/branchAndItemMixin.js


var deepTraverse = function deepTraverse(node, subKey, callback) {
  if (!node) {
    return;
  }
  if (callback(node)) {
    return;
  }
  if (node[subKey] && Array.isArray(node[subKey])) {
    node[subKey].forEach(function (subNode) {
      return deepTraverse(subNode, subKey, callback);
    });
  }
};

/* harmony default export */ var branchAndItemMixin = ({
  props: {
    routeItem: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    activeName: {
      type: String,
      default: null
    },
    isCollapsedType: {
      type: Boolean,
      default: true
    }
  },
  data: function data() {
    return {
      branchCollapsed: true
    };
  },

  computed: {
    _active: function _active() {
      return this.routeItem.name === this.activeName;
    },
    _navChildren: function _navChildren() {
      var ret = [];
      if (!this.$children) {
        return ret;
      }
      this.$children.forEach(function (child) {
        deepTraverse(child, '$children', function (node) {
          if (node._isNavComp && node._isNavComp) {
            ret.push(node);
            return true;
          }
          return false;
        });
      });
      return ret;
    },
    _height: function _height() {
      if (this._isLeafItemComp) {
        return constants.ITEM_HEIGHT;
      } else if (this._isFirstBranchComp || this._isSecondBranchComp) {
        if (this.branchCollapsed) {
          return constants.ITEM_HEIGHT;
        } else {
          return this._navChildren.reduce(function (acc, $navComp) {
            return acc + $navComp._height;
          }, constants.ITEM_HEIGHT);
        }
      }
      return -1;
    },
    _isLeafItem: function _isLeafItem() {
      return this._isLeafItemComp || !this.routeItem.children || !this.routeItem.children.length;
    },
    _isLeafItemComp: function _isLeafItemComp() {
      return this.constructor.extendOptions.name === constants.LEAF_ITEM;
    },
    _isSecondBranchComp: function _isSecondBranchComp() {
      return this.constructor.extendOptions.name === constants.SECOND_LEVEL_BRANCH;
    },
    _isFirstBranchComp: function _isFirstBranchComp() {
      return this.constructor.extendOptions.name === constants.FIRST_LEVEL_BRANCH;
    },
    _isNavComp: function _isNavComp() {
      return this._isLeafItemComp || this._isSecondBranchComp || this._isFirstBranchComp;
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/navigator/src/components/secondLevelBranch.vue?vue&type=template&id=67977680&
var secondLevelBranchvue_type_template_id_67977680_render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      staticClass: "elx-nav-second-branch",
      class: {
        "is-collapsed-type": _vm.isCollapsedType,
        "is-spreaded-type": !_vm.isCollapsedType,
        "has-active-child": _vm.hasActiveChild
      },
      style: { height: _vm.isCollapsedType ? "auto" : _vm._height + "px" }
    },
    [
      _c(
        "div",
        {
          staticClass: "elx-nav-second-level-title",
          class: { "branch-collapsed": _vm.branchCollapsed },
          on: { click: _vm.handleItemClick }
        },
        [
          _c("div", { staticClass: "elx-nav-title-wrapper" }, [
            _c("span", [_vm._v(_vm._s(_vm.routeItem.title))]),
            !_vm._isLeafItem && !_vm.isCollapsedType
              ? _c("i", {
                  staticClass: "elx-icon y-iconfont y-icon-xiangxia",
                  class: { "branch-collapsed": _vm.branchCollapsed }
                })
              : _vm._e()
          ])
        ]
      ),
      !!_vm.routeItem.children
        ? _c(
            "ul",
            _vm._l(_vm.routeItem.children, function(subRouteItem) {
              return _c(
                "li",
                { key: subRouteItem.name },
                [
                  _c("elx-nav-leaf-item", {
                    attrs: {
                      routeItem: subRouteItem,
                      activeName: _vm.activeName,
                      isCollapsedType: _vm.isCollapsedType
                    }
                  })
                ],
                1
              )
            }),
            0
          )
        : _vm._e()
    ]
  )
}
var secondLevelBranchvue_type_template_id_67977680_staticRenderFns = []
secondLevelBranchvue_type_template_id_67977680_render._withStripped = true


// CONCATENATED MODULE: ./packages/navigator/src/components/secondLevelBranch.vue?vue&type=template&id=67977680&

// CONCATENATED MODULE: ./packages/navigator/src/mixins/mayHasActiveChildMixin.js
/* harmony default export */ var mayHasActiveChildMixin = ({
  data: function data() {
    return {
      hasActiveChild: false
    };
  },

  methods: {
    handleResetHasActiveChild: function handleResetHasActiveChild() {
      this.hasActiveChild = false;
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/navigator/src/components/leafItem.vue?vue&type=template&id=3e86521a&
var leafItemvue_type_template_id_3e86521a_render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      staticClass: "elx-nav-leaf-item",
      class: [
        { active: _vm._active },
        { "is-spreaded-type": !_vm.isCollapsedType }
      ],
      on: { click: _vm.handleItemClick }
    },
    [
      _c("span", [_vm._v(_vm._s(_vm.routeItem.title))]),
      _vm.isCollapsedType
        ? _c("i", { staticClass: "elx-icon y-iconfont y-icon-xiangyou" })
        : _vm._e()
    ]
  )
}
var leafItemvue_type_template_id_3e86521a_staticRenderFns = []
leafItemvue_type_template_id_3e86521a_render._withStripped = true


// CONCATENATED MODULE: ./packages/navigator/src/components/leafItem.vue?vue&type=template&id=3e86521a&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/navigator/src/components/leafItem.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//






/* harmony default export */ var leafItemvue_type_script_lang_js_ = ({
  name: constants.LEAF_ITEM,
  mixins: [branchAndItemMixin],
  computed: {
    _navAncestors: {
      get: function get() {
        var ancestors = [];
        var currentAncestor = this.$parent;
        while (currentAncestor && !currentAncestor.isNavigatorRoot) {
          if (currentAncestor._isNavComp) {
            ancestors.push(currentAncestor);
          }
          currentAncestor = currentAncestor.$parent;
        }
        return ancestors;
      }
    },
    _lastAncestor: {
      get: function get() {
        return this._navAncestors[this._navAncestors.length - 1];
      }
    }
  },
  watch: {
    _active: function _active() {
      if (this._active) {
        this.openAncestors();
        this.resetHasActiveChild();
        if (this._lastAncestor && this._lastAncestor.collpaseOtherFirstLevelBranch) {
          this._lastAncestor.collpaseOtherFirstLevelBranch();
        }
      }
    }
  },
  methods: {
    resetHasActiveChild: function resetHasActiveChild() {
      if (!this.isCollapsedType) {
        bus.$emit('resetHasActiveChild');
        this._navAncestors.forEach(function (ancestor) {
          ancestor.hasActiveChild = true;
        });
      }
    },
    openAncestors: function openAncestors() {
      if (!this.isCollapsedType) {
        bus.$emit('resetHasActiveChild');
        this._navAncestors.forEach(function (ancestor) {
          ancestor.branchCollapsed = false;
        });
      }
    },
    handleItemClick: function handleItemClick() {
      bus.$emit('itemClick', this.routeItem);
    }
  },
  mounted: function mounted() {
    var _this = this;

    if (this._active) {
      this.$nextTick(function () {
        _this.openAncestors();
        _this.resetHasActiveChild();
      });
    }
  }
});
// CONCATENATED MODULE: ./packages/navigator/src/components/leafItem.vue?vue&type=script&lang=js&
 /* harmony default export */ var components_leafItemvue_type_script_lang_js_ = (leafItemvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./packages/navigator/src/components/leafItem.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  components_leafItemvue_type_script_lang_js_,
  leafItemvue_type_template_id_3e86521a_render,
  leafItemvue_type_template_id_3e86521a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "packages/navigator/src/components/leafItem.vue"
/* harmony default export */ var leafItem = (component.exports);
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/navigator/src/components/secondLevelBranch.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//









/* harmony default export */ var secondLevelBranchvue_type_script_lang_js_ = ({
  name: constants.SECOND_LEVEL_BRANCH,
  components: {
    elxNavLeafItem: leafItem
  },
  mixins: [branchAndItemMixin, mayHasActiveChildMixin],
  methods: {
    handleItemClick: function handleItemClick() {
      this.branchCollapsed = !this.branchCollapsed;
    }
  },
  mounted: function mounted() {
    bus.$on('resetHasActiveChild', this.handleResetHasActiveChild);
  }
});
// CONCATENATED MODULE: ./packages/navigator/src/components/secondLevelBranch.vue?vue&type=script&lang=js&
 /* harmony default export */ var components_secondLevelBranchvue_type_script_lang_js_ = (secondLevelBranchvue_type_script_lang_js_); 
// CONCATENATED MODULE: ./packages/navigator/src/components/secondLevelBranch.vue





/* normalize component */

var secondLevelBranch_component = Object(componentNormalizer["a" /* default */])(
  components_secondLevelBranchvue_type_script_lang_js_,
  secondLevelBranchvue_type_template_id_67977680_render,
  secondLevelBranchvue_type_template_id_67977680_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var secondLevelBranch_api; }
secondLevelBranch_component.options.__file = "packages/navigator/src/components/secondLevelBranch.vue"
/* harmony default export */ var secondLevelBranch = (secondLevelBranch_component.exports);
// CONCATENATED MODULE: ./packages/navigator/src/mixins/firstLevelBranchMixin.js



/* harmony default export */ var firstLevelBranchMixin = ({
  components: {
    elxNavSecondLevelBranch: secondLevelBranch,
    elxNavLeafItem: leafItem
  },
  props: {
    selectedIndex: {
      type: Number,
      value: 0
    }
  }
});
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/navigator/src/components/firstLevelBranch.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//









/* harmony default export */ var firstLevelBranchvue_type_script_lang_js_ = ({
  name: constants.FIRST_LEVEL_BRANCH,
  mixins: [branchAndItemMixin, firstLevelBranchMixin, basicConfgiMixin, mayHasActiveChildMixin],
  data: function data() {
    return {
      branchCollapsed: true
    };
  },

  computed: {
    _shouldShowActiveIcon: {
      get: function get() {
        return this.hasActiveChild || this._active;
      }
    }
  },
  watch: {
    collapsedConfig: function collapsedConfig() {
      this.branchCollapsed = true;
    }
  },
  methods: {
    handleItemClick: function handleItemClick() {
      if (this.routeItem.children && this.routeItem.children.length) {
        this.branchCollapsed = !this.branchCollapsed;
        if (!this.branchCollapsed) {
          this.collpaseOtherFirstLevelBranch();
        }
      } else {
        if (!this.collapsedConfig) {
          bus.$emit('resetHasActiveChild');
        }
        bus.$emit('itemClick', this.routeItem);
      }
    },
    collpaseOtherFirstLevelBranch: function collpaseOtherFirstLevelBranch() {
      bus.$emit('collpaseOtherFirstLevelBranch', this.routeItem.name);
    },
    handleCollpaseOtherFirstLevelBranch: function handleCollpaseOtherFirstLevelBranch(exceptionName) {
      if (this.routeItem.name !== exceptionName) {
        this.branchCollapsed = true;
      }
    }
  },
  mounted: function mounted() {
    bus.$on('resetHasActiveChild', this.handleResetHasActiveChild);
    bus.$on('collpaseOtherFirstLevelBranch', this.handleCollpaseOtherFirstLevelBranch);
  }
});
// CONCATENATED MODULE: ./packages/navigator/src/components/firstLevelBranch.vue?vue&type=script&lang=js&
 /* harmony default export */ var components_firstLevelBranchvue_type_script_lang_js_ = (firstLevelBranchvue_type_script_lang_js_); 
// CONCATENATED MODULE: ./packages/navigator/src/components/firstLevelBranch.vue





/* normalize component */

var firstLevelBranch_component = Object(componentNormalizer["a" /* default */])(
  components_firstLevelBranchvue_type_script_lang_js_,
  firstLevelBranchvue_type_template_id_0addf750_render,
  firstLevelBranchvue_type_template_id_0addf750_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var firstLevelBranch_api; }
firstLevelBranch_component.options.__file = "packages/navigator/src/components/firstLevelBranch.vue"
/* harmony default export */ var firstLevelBranch = (firstLevelBranch_component.exports);
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/navigator/src/components/mainZone.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//








/* harmony default export */ var mainZonevue_type_script_lang_js_ = ({
  name: constants.MAIN_ZONE,
  components: {
    ElScrollbar: scrollbar["default"],
    elxNavFirstLevelBranch: firstLevelBranch
  },
  mixins: [basicConfgiMixin],
  props: {
    routes: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    selectedIndex: {
      type: Number,
      default: -1
    },
    activeIndex: {
      type: Number,
      default: -1
    },
    collapseBtnText: {
      type: String,
      default: ''
    }
  },
  data: function data() {
    return {
      visibleRoutes: this.routes,
      collapsedState: true,
      delayedCollapsedConfig: this.collapsedConfig
    };
  },

  computed: {
    collapseIcon: function collapseIcon() {
      return this.$parent.collapseIcon;
    }
  },
  watch: {
    routes: function routes() {
      this.reCalculateVisibleItem();
    },
    collapsedConfig: function collapsedConfig() {
      var _this = this;

      setTimeout(function () {
        _this.delayedCollapsedConfig = _this.collapsedConfig;
      }, constants.DELAYED_TIME);
    }
  },
  methods: {
    handleMainZoneCollapse: function handleMainZoneCollapse(collapsedState) {
      this.collapsedState = collapsedState;
    },
    select: function select(index) {
      bus.$emit('branchSelect', index);
    },
    shouldShowNormal: function shouldShowNormal(index) {
      return index !== this.activeIndex && (index !== this.selectedIndex || this.collapsedState);
    },
    toggleCollapsedConfig: function toggleCollapsedConfig() {
      bus.$emit('toggleCollapsedConfig');
    },
    reCalculateVisibleItem: function reCalculateVisibleItem() {
      if (this.delayedCollapsedConfig) {
        var mainZoneHeight = this.$refs.mainZone.getBoundingClientRect().height;
        var maxItemCount = Math.floor(mainZoneHeight / constants.ITEM_HEIGHT);
        this.visibleRoutes = this.routes.slice(0, maxItemCount);
      } else {
        this.visibleRoutes = this.routes;
      }
    }
  },
  mounted: function mounted() {
    var _this2 = this;

    bus.$on('secondLevelZoneCollapse', this.handleMainZoneCollapse);
    window.addEventListener('resize', function () {
      _this2.reCalculateVisibleItem();
    });
  }
});
// CONCATENATED MODULE: ./packages/navigator/src/components/mainZone.vue?vue&type=script&lang=js&
 /* harmony default export */ var components_mainZonevue_type_script_lang_js_ = (mainZonevue_type_script_lang_js_); 
// CONCATENATED MODULE: ./packages/navigator/src/components/mainZone.vue





/* normalize component */

var mainZone_component = Object(componentNormalizer["a" /* default */])(
  components_mainZonevue_type_script_lang_js_,
  mainZonevue_type_template_id_74ab3332_render,
  mainZonevue_type_template_id_74ab3332_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var mainZone_api; }
mainZone_component.options.__file = "packages/navigator/src/components/mainZone.vue"
/* harmony default export */ var mainZone = (mainZone_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./packages/navigator/src/components/secondLevelZone.vue?vue&type=template&id=1b2dd74a&
var secondLevelZonevue_type_template_id_1b2dd74a_render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      staticClass: "elx-nav-second-level-zone",
      class: {
        "elx-nav-spreaded": !_vm.collapsedConfig,
        "collapsed-suspending": _vm._effectedCollapse
      }
    },
    [
      _c("header", [_vm._v(_vm._s(_vm.routeItem.title))]),
      _c("div", { staticClass: "elx-nav-divider" }),
      _c(
        "div",
        { staticClass: "elx-nav-scrollbar-wrapper" },
        [
          _c(
            "el-scrollbar",
            {
              style: { height: "100%" },
              attrs: {
                wrapStyle: [
                  { height: "100%", overflowY: "auto", overflowX: "hidden" }
                ]
              }
            },
            [
              _vm._l(_vm.routeItem.children, function(subRouteItem, index) {
                return [
                  _c(
                    "div",
                    { key: subRouteItem.name },
                    [
                      !!subRouteItem.children
                        ? _c("elx-nav-second-level-branch", {
                            attrs: {
                              routeItem: subRouteItem,
                              activeName: _vm.activeName
                            }
                          })
                        : _c("elx-nav-leaf-item", {
                            attrs: {
                              routeItem: subRouteItem,
                              activeName: _vm.activeName
                            }
                          }),
                      _vm.routeItem.children.length - 1 !== index
                        ? _c("div", { staticClass: "elx-nav-divider" })
                        : _vm._e()
                    ],
                    1
                  )
                ]
              })
            ],
            2
          )
        ],
        1
      )
    ]
  )
}
var secondLevelZonevue_type_template_id_1b2dd74a_staticRenderFns = []
secondLevelZonevue_type_template_id_1b2dd74a_render._withStripped = true


// CONCATENATED MODULE: ./packages/navigator/src/components/secondLevelZone.vue?vue&type=template&id=1b2dd74a&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/navigator/src/components/secondLevelZone.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//











/* harmony default export */ var secondLevelZonevue_type_script_lang_js_ = ({
  name: constants.SECOND_LEVEL_ZONE,
  components: {
    ElScrollbar: scrollbar["default"]
  },
  mixins: [branchAndItemMixin, firstLevelBranchMixin, basicConfgiMixin, mayHasActiveChildMixin],
  data: function data() {
    return {
      collapsedState: true,
      selectedIndexState: 0
    };
  },

  computed: {
    _effectedCollapse: {
      get: function get() {
        return !Array.isArray(this.routeItem.children) || !this.routeItem.children.length || this.collapsedState;
      }
    }
  },
  watch: {
    _effectedCollapse: function _effectedCollapse() {
      bus.$emit('secondLevelZoneCollapse', this._effectedCollapse);
    }
  },
  methods: {
    handleRootSelect: function handleRootSelect(index) {
      if (index === this.selectedIndexState) {
        this.collapsedState = !this.collapsedState;
      } else {
        this.selectedIndexState = index;
        this.collapsedState = false;
      }
    }
  },
  mounted: function mounted() {
    bus.$on('branchSelect', this.handleRootSelect);
  }
});
// CONCATENATED MODULE: ./packages/navigator/src/components/secondLevelZone.vue?vue&type=script&lang=js&
 /* harmony default export */ var components_secondLevelZonevue_type_script_lang_js_ = (secondLevelZonevue_type_script_lang_js_); 
// CONCATENATED MODULE: ./packages/navigator/src/components/secondLevelZone.vue





/* normalize component */

var secondLevelZone_component = Object(componentNormalizer["a" /* default */])(
  components_secondLevelZonevue_type_script_lang_js_,
  secondLevelZonevue_type_template_id_1b2dd74a_render,
  secondLevelZonevue_type_template_id_1b2dd74a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var secondLevelZone_api; }
secondLevelZone_component.options.__file = "packages/navigator/src/components/secondLevelZone.vue"
/* harmony default export */ var secondLevelZone = (secondLevelZone_component.exports);
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./packages/navigator/src/navigator.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//








/* harmony default export */ var navigatorvue_type_script_lang_js_ = ({
  name: constants.ELX_NAVIGATOR,
  components: {
    elxNavMainZone: mainZone,
    elxNavSecondLevelZone: secondLevelZone
  },
  props: {
    routes: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    activeName: {
      type: String,
      default: ''
    },
    collapsed: {
      type: Boolean,
      default: true
    },
    collapseIcon: {
      type: String,
      default: 'y-iconfont y-icon-yqf_qiehuan'
    },
    collapseBtnText: {
      type: String,
      default: '切换'
    }
  },
  data: function data() {
    var selectedFirstLevelIndex = utils.findFirstLevelIndex(this.routes, this.activeName);
    return {
      selectedFirstLevelIndex: selectedFirstLevelIndex,
      collapsedConfig: this.collapsed,
      collapsedState: true,
      activeFirstLevelIndex: selectedFirstLevelIndex,
      isNavigatorRoot: true,
      effectedOpenState: !this.collapsed
    };
  },

  computed: {
    _activeBranch: {
      get: function get() {
        return this.routes[this.selectedFirstLevelIndex];
      }
    }
  },
  watch: {
    routes: function routes() {
      this.reinit();
    },
    activeName: function activeName() {
      this.reinit();
    },
    collapsedConfig: function collapsedConfig() {
      if (this.collapsedState) {
        this.setEffectedOpenState();
      }
    },
    collapsedState: function collapsedState() {
      this.setEffectedOpenState();
    },
    effectedOpenState: function effectedOpenState() {
      this.$emit('width-change', !this.effectedOpenState);
    }
  },
  methods: {
    reinit: function reinit() {
      this.selectedFirstLevelIndex = utils.findFirstLevelIndex(this.routes, this.activeName);
      this.activeFirstLevelIndex = utils.findFirstLevelIndex(this.routes, this.activeName);
    },
    handleMainZoneCollapse: function handleMainZoneCollapse(collapsedState) {
      this.collapsedState = collapsedState;
    },
    setEffectedOpenState: function setEffectedOpenState() {
      this.effectedOpenState = !this.collapsedConfig || !this.collapsedState;
    }
  },
  mounted: function mounted() {
    var _this = this;

    bus.$on('itemClick', function (routeItem) {
      _this.$emit('item-click', routeItem);
    });
    bus.$on('branchSelect', function (idx) {
      _this.selectedFirstLevelIndex = idx;
      if (!_this._activeBranch.children) {
        bus.$emit('itemClick', _this._activeBranch);
      }
    });
    bus.$on('toggleCollapsedConfig', function () {
      _this.collapsedConfig = !_this.collapsedConfig;
      _this.$emit('collapse', _this.collapsedConfig);
    });
    bus.$on('secondLevelZoneCollapse', this.handleMainZoneCollapse);
  }
});
// CONCATENATED MODULE: ./packages/navigator/src/navigator.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_navigatorvue_type_script_lang_js_ = (navigatorvue_type_script_lang_js_); 
// CONCATENATED MODULE: ./packages/navigator/src/navigator.vue





/* normalize component */

var navigator_component = Object(componentNormalizer["a" /* default */])(
  src_navigatorvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var navigator_api; }
navigator_component.options.__file = "packages/navigator/src/navigator.vue"
/* harmony default export */ var src_navigator = (navigator_component.exports);
// CONCATENATED MODULE: ./packages/navigator/index.js


/* istanbul ignore next */
src_navigator.install = function (Vue) {
  Vue.component(src_navigator.name, src_navigator);
};

/* harmony default export */ var packages_navigator = __webpack_exports__["default"] = (src_navigator);

/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = require("vue");

/***/ })

/******/ });